mav_frameFn0Add(3)

NAME
mav_frameFn0Add - Add/remove a function to be called during the render of a frame.

LEVEL
Maverik Level 1

SYNTAX
void mav_frameFn0Add(MAV_frameFn fn, void *d);

void mav_frameFn1Add(MAV_frameFn fn, void *d);

void mav_frameFn2Add(MAV_frameFn fn, void *d);

void mav_frameFn3Add(MAV_frameFn fn, void *d);

void mav_frameFn4Add(MAV_frameFn fn, void *d);

void mav_frameFn0Rmv(MAV_frameFn fn, void *d);

void mav_frameFn1Rmv(MAV_frameFn fn, void *d);

void mav_frameFn2Rmv(MAV_frameFn fn, void *d);

void mav_frameFn3Rmv(MAV_frameFn fn, void *d);

void mav_frameFn4Rmv(MAV_frameFn fn, void *d);

ARGUMENTS

MAV_frameFn fn
    Function to be registered/removed.

DESCRIPTION
mav_frameFnNAdd registers the application-defined function fn to be executed at a particular stage of the rendering loop. The various stages of the rendering loop are described in mav_frameBegin and mav_frameEnd. The d parameter is untouched by Maverik - it forms the parameter to the application-defined frame function thus allowing argumnets to be passed into the function.

mav_frameFnNRmv remove a previously registered function fn.

SEE ALSO
@mav_frameBegin.